%define uname_release `(uname -r) 2>/dev/null`

%ifos darwin
%define __defattr %defattr(-,root,wheel)
%define __soext dylib
%else
%define __defattr %defattr(-,root,root)
%define __soext so
%endif

%define	srcver	6.1.2

Summary: A GNU arbitrary precision library.
Name: gmp
Version: 6.1.2
#Release: 2%{?_dist_release}
Release: 10.13%{?dist}1a
URL: http://www.swox.com/gmp/
Source0: http://ftp.gnu.org/pub/gnu/gmp/gmp-%{version}.tar.lz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf glibtool
Vendor:       OSX WorkShop
Distribution: OSX WorkShop
#BuildArch: fat

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%prep
%setup -q -n %{name}-%{srcver}

%build
mkdir base
cd base
ln -s ../configure .
./configure \
	--enable-cxx \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	CC=clang CXX=clang++

#perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool
#perl -pi -e 's|-dynamiclib|-arch x86_64 -dynamiclib|g;' libtool
#export DYLD_LIBRARY_PATH=`pwd`/.libs
#make %{?_smp_mflags}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd base
export DYLD_LIBRARY_PATH=`pwd`/.libs
%makeinstall 
make %{?_smp_mflags} check
cd ..

rm -f $RPM_BUILD_ROOT%{_libdir}/lib{gmp,mp,gmpxx}.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

ln -sf libgmpxx.3.%{__soext} $RPM_BUILD_ROOT%{_libdir}/libgmpxx.%{__soext}


%post devel
/usr/bin/install-info %{_infodir}/gmp.info.gz %{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
	/usr/bin/install-info --delete %{_infodir}/gmp.info.gz %{_infodir}/dir
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%doc COPYING COPYING.LIB NEWS README
%{_libdir}/libgmp.*.%{__soext}
#%{_libdir}/libmp.*.%{__soext}
%{_libdir}/libgmpxx.*.%{__soext}

%files devel
%{__defattr}
#%{_libdir}/libmp.%{__soext}
%{_libdir}/libgmp.%{__soext}
%{_libdir}/libgmpxx.%{__soext}
#%{_libdir}/libmp.a
%{_libdir}/libgmp.a
%{_libdir}/libgmpxx.a
#%{_libdir}/libmp*.a
%{_includedir}/*.h
%{_infodir}/*.info*

%changelog
* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 6.1.2-10.13hepx1a
- new upstream relaese
- for OSXWS 10.13

* Sun Dec 10 2017 KOBAYASHI Taizo <tkoba965@me.com> 6.1.1-1
- new upstream relaese
- for OSXWS 10.13

* Mon Dec 26 2016 KOBAYASHI Taizo <tkoba965@me.com> 6.1.1-2
- rebuild

* Sat Dec 03 2016 KOBAYASHI Taizo <tkoba965@me.com> 6.1.1-1
- new upstream relaese
- modified for OSXWS 10.12

* Fri Nov 27 2015 KOBAYASHI Taizo <tkoba965@me.com> 6.1.0-1
- new upstream relaese
- modified for OSXWS 10.11

* Tue Sep 02 2014 KOBAYASHI Taizo <tkoba965@me.com> 6.0.0a-2
- drop --enable-mpbsd

* Thu May 22 2014 KOBAYASHI Taizo <tkoba965@me.com> 6.0.0a-1
- new upstream relaese
- modified for OSXWS 10.9

* Mon Apr 08 2013 KOBAYASHI Taizo <tkoba965@me.com> 5.1.1-1
- new upstream relaese
- modified for OSXWS 10.8

* Thu Jan 19 2012 KOBAYASHI Taizo <tkoba965@me.com> 5.0.2-1
- new upstream relaese
- modified for OSXWS 10.7

* Mon Aug 30 2010 KOBAYASHI Taizo <tkoba965@me.com> 5.0.1-1
- new upstream relaese

* Fri Jan 15 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.3.2-1
- new upstream relaese
- modified for OSXWS 10.6

* Fri Jan 11 2008 KOBAYASHI Taizo <> 4.2.2-10.5osx0
- new upstream relaese

* Thu Mar 08 2007 KOBAYASHI Taizo <> 4.2.1-10.4osx1
- modified for OSXWS
- Universal Binarize

* Wed Oct 04 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 4.2.1-1a
- 1st build on MacOS X 10.4 for Intel Macs.
